import request from "@/utils/httpRequest";
import { SYS_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/sys/tenant/save",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/sys/tenant/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + `/sys/tenant/queryById?id=${id}`,
			method: "get",
		});
	},

	validateNotExist: function (params) {
		return request({
			url: prefix + "/sys/tenant/validateNotExist",
			method: "get",
			params: params,
		});
	},

	list: function (params) {
		return request({
			url: prefix + "/sys/tenant/list",
			method: "get",
			params: params,
		});
	},
};
